"""Add table to hold preallocated collection data

Revision ID: 66473ea3173e
Revises: ae93bd03121e
Create Date: 2017-12-19 13:44:58.253123

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '66473ea3173e'
down_revision = 'ae93bd03121e'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'preallocated_collection',
        sa.Column('created_at', sa.DateTime(), nullable=False),
        sa.Column('updated_at', sa.DateTime(), nullable=False),
        sa.Column('id', sa.TEXT(), nullable=False),
        sa.PrimaryKeyConstraint('id'))


def downgrade():
    op.drop_table('preallocated_collection')
