"""box connector

Revision ID: 3fbea16f833c
Revises: f96d758b4826
Create Date: 2012-06-12 12:24:38.776577

"""
from datetime import datetime
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '3fbea16f833c'
down_revision = 'f96d758b4826'
branch_labels = None
depends_on = None


def upgrade():
    conn = op.get_bind()
    now = datetime.now().strftime("%Y-%m-%d %H:%M:%S.%f")

    # add a row for 'Box' set to enabled
    conn.execute("""
        INSERT INTO connector (created_at, updated_at, id, display_name, allow_mapped_collections, enabled)
        VALUES ('{now}', '{now}', '7c100eae-40fe-11e9-95a3-9cb6d0d9fd63', 'Box', 1, 1)
        """.format(now=now))


def downgrade():
    conn = op.get_bind()

    # remove the row for 'Box'
    conn.execute("""
        DELETE FROM connector
        WHERE id = '7c100eae-40fe-11e9-95a3-9cb6d0d9fd63'
        """)
